Page MenuHomePhabricator

ve.init.mw.ViewPageTarget#transformPage triggers recalculate style due to $.fn.animate
Closed, ResolvedPublic8 Estimated Story Points

Description

Seen on osmium's [[Barack Obama]]:

It should be replaced with native CSS transition.

Previously discussed @ T87160#1038218.

Event Timeline

ori created this task.Feb 14 2015, 8:46 AM
ori raised the priority of this task from to Needs Triage.
ori updated the task description. (Show Details)
ori added a project: VisualEditor-Performance.
ori added subscribers: ori, Catrope, Krinkle.
Restricted Application added a project: VisualEditor. · View Herald TranscriptFeb 14 2015, 8:46 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Krinkle claimed this task.Feb 14 2015, 9:56 AM
Krinkle set Security to None.
Jdforrester-WMF triaged this task as High priority.Feb 17 2015, 12:17 AM

Change 192047 had a related patch set uploaded (by Krinkle):
mw.ViewPageTarget: Remove JS animations from transformPage()

https://gerrit.wikimedia.org/r/192047

Patch-For-Review

Change 192281 had a related patch set uploaded (by Krinkle):
mw.ViewPageTarget: Remove JS animations from transformPage()

https://gerrit.wikimedia.org/r/192281

Patch-For-Review

Change 192292 had a related patch set uploaded (by Krinkle):
mw.ViewPageTarget: Use CSS for toolbar transition (alt)

https://gerrit.wikimedia.org/r/192292

Patch-For-Review

Change 192292 abandoned by Krinkle:
mw.ViewPageTarget: Use CSS for toolbar transition

Reason:
This approach is quite elegant and minimalistic. It performs very well etc. However closing because the standards require position:fixed to be resolved relative to the rendering layer. This makes sense but is unfortunate.

This could be worked around if our toolbar wasn't part of the target. But that may be to revisit another day.

https://gerrit.wikimedia.org/r/192292

Change 192281 merged by jenkins-bot:
mw.ViewPageTarget: Remove JS animations from transformPage()

https://gerrit.wikimedia.org/r/192281

Jdforrester-WMF renamed this task from ve.init.mw.ViewPageTarget.transformPage triggers recalculate style due to $.fn.animate to ve.init.mw.ViewPageTarget#transformPage triggers recalculate style due to $.fn.animate.Feb 23 2015, 4:01 PM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF moved this task from Accepted to Done on the VisualEditor 2014/15 Q3 blockers board.
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Feb 25 2015, 4:28 PM

Change 192047 merged by jenkins-bot:
mw.ViewPageTarget: Use CSS for toolbar transition

https://gerrit.wikimedia.org/r/192047